{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "1.0 Пользователи" %}


{% block heading %}
    <div class="content-header justify-content-between d-flex flex-wrap align-items-center mb-1">
        <ol class="content-header__breadcrumb breadcrumb mb-50 mr-lg-4">
            <li class="breadcrumb-item">
                <a href="#">Пользователи</a>
            </li>
        </ol>
        <div class="d-flex align-items-center justify-content-between flex-md-grow-1">
            <div class="btn-group d-none d-md-flex mb-50 justify-md-content-between">
                <button class="btn btn-outline-primary active">Все</button>
                <button class="btn btn-outline-primary">Операторы</button>
                <button class="btn btn-outline-primary">Полицейские</button>
                <button class="btn btn-outline-primary">Администраторы</button>
            </div>
            <button class="btn btn-primary mb-50">Добавить</button>
        </div>
    </div><!-- .content-header -->
{% endblock %}

{% block main %}

    <div class="card">
        <div class="card-header pb-0">
            <div class="d-flex  align-items-center flex-grow-1 pr-sm-50">
                <fieldset class="mb-50 position-relative has-icon-left flex-grow-1">
                    <input type="text" class="form-control" placeholder="поиск пользователя">
                    <div class="form-control-position">
                        <i class="bx bx-search"></i>
                    </div>
                </fieldset>
                <div class="mb-50">
                    <button type="button" class="btn btn-secondary ml-50">Поиск</button>
                </div>
            </div>
            <fieldset class="mb-50">
                <select class="select2">
                    <option selected disabled>Сортировка</option>
                    <option>По возрастанию</option>
                    <option>По убыванию</option>
                    <option>Сначала новые</option>
                </select>
            </fieldset>
        </div>
        <div class="card-body pl-0 p-0">
            <div class="table-responsive">
                <table class="table m-0 table-transparent table-extended-main table-hover">
                    <thead>
                    <tr>
                        <th class="text-nowrap">ID</th>
                        <th class="text-nowrap">Фамилия</th>
                        <th class="text-nowrap">Статус</th>
                        <th class="text-nowrap">Рабочий адрес </th>
                        <th class="text-nowrap">Контакты</th>
                        <th></th>
                    </tr><!-- tr -->
                    </thead>
                    <tbody>
                    <tr>
                        <td class="text-nowrap">00956</td>
                        <td class="text-nowrap">Кузнецов Н.В.</td>
                        <td class="text-nowrap">Оператор</td>
                        <td>Минск, ул. Фомина 3</td>
                        <td class="text-nowrap">+375293456655</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00349</td>
                        <td class="text-nowrap">Данилов С.Г.</td>
                        <td class="text-nowrap">Оператор</td>
                        <td>Смолевичи, ул. Ленина 35</td>
                        <td class="text-nowrap">+37529342685</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00853</td>
                        <td class="text-nowrap">Пушков Ф.Д.</td>
                        <td class="text-nowrap">Полицейский</td>
                        <td>Минск, ул. Корвата 23-3</td>
                        <td class="text-nowrap">+375293456215</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00853</td>
                        <td class="text-nowrap">Федорова Н.П. </td>
                        <td class="text-nowrap">Оператор</td>
                        <td>Минск, Победителей 23-2</td>
                        <td class="text-nowrap">+375293456644</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00893</td>
                        <td class="text-nowrap">Елесев В.Д.</td>
                        <td class="text-nowrap">Полицейский</td>
                        <td>Смолевичи, ул. Ленина 35</td>
                        <td class="text-nowrap">+375293586215</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00913</td>
                        <td class="text-nowrap">Артемов К.Д.</td>
                        <td class="text-nowrap">Полицейский</td>
                        <td>Минск, ул. Корвата 23-3</td>
                        <td class="text-nowrap">+375293592115</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->

                    <tr>
                        <td class="text-nowrap">00956</td>
                        <td class="text-nowrap">Кузнецов Н.В.</td>
                        <td class="text-nowrap">Оператор</td>
                        <td>Минск, ул. Фомина 3</td>
                        <td class="text-nowrap">+375293456655</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00349</td>
                        <td class="text-nowrap">Данилов С.Г.</td>
                        <td class="text-nowrap">Оператор</td>
                        <td>Смолевичи, ул. Ленина 35</td>
                        <td class="text-nowrap">+37529342685</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00853</td>
                        <td class="text-nowrap">Пушков Ф.Д.</td>
                        <td class="text-nowrap">Полицейский</td>
                        <td>Минск, ул. Корвата 23-3</td>
                        <td class="text-nowrap">+375293456215</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00853</td>
                        <td class="text-nowrap">Федорова Н.П. </td>
                        <td class="text-nowrap">Оператор</td>
                        <td>Минск, Победителей 23-2</td>
                        <td class="text-nowrap">+375293456644</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00893</td>
                        <td class="text-nowrap">Елесев В.Д.</td>
                        <td class="text-nowrap">Полицейский</td>
                        <td>Смолевичи, ул. Ленина 35</td>
                        <td class="text-nowrap">+375293586215</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    <tr>
                        <td class="text-nowrap">00913</td>
                        <td class="text-nowrap">Артемов К.Д.</td>
                        <td class="text-nowrap">Полицейский</td>
                        <td>Минск, ул. Корвата 23-3</td>
                        <td class="text-nowrap">+375293592115</td>
                        <td>
                            <button type="button" class="btn btn-light-secondary btn-sm">Инфо</button>
                        </td>
                    </tr><!-- tr -->
                    </tbody>
                </table><!-- table -->
            </div><!-- table-responsive -->
        </div><!-- .card-body -->
    </div><!-- .card -->

    <ul class="pagination pagination-borderless justify-content-end mt-2">
        <li class="page-item previous disabled">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-left"></i>
            </a>
        </li>
        <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">7</a></li>
        <li class="page-item next">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-right"></i>
            </a>
        </li>
    </ul>
{% endblock %}

{% block scripts %}

    <script>
        $('.table-extended-main').DataTable({
                "responsive": true,
                "searching": false,
                "lengthChange": false,
                "paging": false,
                "bInfo": false,
                "columnDefs": [
                    { "orderable": false, "targets": [5] },
                ]
            }
        );
    </script>

{% endblock %}

